Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.ContainerPackage
Class Description

    java.lang.Object
      |
      +--org.omg.CORBA.ContainerPackage.Description

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Description
extends java.lang.Object
implements IDLEntity

Struct definition : Description

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`Contained` | `contained_object` Struct member contained_object
`DefinitionKind` | `kind` Struct member kind
`Any` | `value` Struct member value

Constructor Summary
`Description()` Default constructor
`Description(Contained contained_object, DefinitionKind kind, Any value)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contained_object

    public Contained contained_object

  Struct member contained_object

### kind

    public DefinitionKind kind

  Struct member kind

### value

    public Any value

  Struct member value

Constructor Detail

### Description

    public Description()

  Default constructor

### Description

    public Description(Contained contained_object,
                       DefinitionKind kind,
                       Any value)

  Constructor with fields initialization
  Parameters:
    `contained_object` - contained_object struct member
    `kind` - kind struct member
    `value` - value struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD